#version 150 core

in vec3 vpos;
in vec2 vtexcoord;

out vec2 ftexcoord;

uniform mat4 mat;
uniform mat4 texmat;

void main(){
  gl_Position=mat*vec4(vpos,1.0f);
  vec4 tc=texmat*vec4(vtexcoord,0.0f,1.0f);
  ftexcoord.x=tc.x;
  ftexcoord.y=tc.y;
}
